Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
01827 Interface Major Always May 23, 2008, 19:16 Jun 10, 2008, 19:38
Tester Tafoid View Status Public Platform MAME (Self-compiled)
Assigned To couriersud Resolution Fixed OS Windows 2000
Status [?] Resolved Driver galaga.cpp
Version 0.125u2 Fixed in Version 0.125u5 Build Athlon
Fixed in Git Commit Github Pull Request #
Summary 01827: All sets in galaga.c: DIP switch information is not being readded properly when .CFG is read.
Description I chose this set as an example (galaga), but I suspect this will effect much more than this driver or set.

When you change a certain DIP, in this case - CABINET to Cocktail and restart MAME - Cocktail is back to Upright default and the top DIP, which happens to be SERVICE MODE is toggled on.
Steps To Reproduce - Clean .CFG for galaga
- Start galaga
- Set DIP for Cabinet from UPRIGHT to COCKTAIL
- EXIT MAME

When you read the .CFG file, it shows:

<?xml version="1.0"?>
<!-- This file is autogenerated; comments and unknown tags will be stripped -->
<mameconfig version="10">
    <system name="galaga">
        <input>
            <port tag="DSWA" type="DIPSWITCH" mask="128" defvalue="128" value="0" />
        </input>
    </system>
</mameconfig>

- Restart MAME using galaga
- Checking the DIPS, the Cabinet DIP never gets changed and shows UPRIGHT. Service Mode is show as ON - as if the setting I intended for Cabinet got apportioned to Service Mode instead.
- Exit MAME and read CFG. Even though I have not changed any setting this last time - the configuration has changed.

<?xml version="1.0"?>
<!-- This file is autogenerated; comments and unknown tags will be stripped -->
<mameconfig version="10">
    <system name="galaga">
        <input>
            <port tag="IN0" type="DIPSWITCH" mask="128" defvalue="128" value="0" />
        </input>
    </system>
</mameconfig>
Additional Information
Github Commit
Flags
Regression Version 0.125u2
Affected Sets / Systems All sets in galaga.c
Attached Files
 
Relationships
There are no relationship linked to this issue.
Notes
3
User avatar
No.01121
Tafoid
Administrator
May 29, 2008, 16:19
Reopened as this is still happening on galaga in 0.125u3 as described above.
User avatar
No.01258
Tafoid
Administrator
Jun 9, 2008, 22:59
edited on: Jun 10, 2008, 00:46
Seems to be happening in ALL SETS contained in galaga.c. Updated.
User avatar
No.01261
couriersud
Developer
Jun 10, 2008, 19:38
Reapplied original fix by Aaron